PERTALIFE - Bug #2927

ESS ATK Mobile detail barang tidak ada di RunBiZData
07/26/2024 03:44 PM - Regina Tasya

Status: Closed Start date: 07/26/2024
Priority: Normal Due date:

Assignee: Regina Tasya % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour

Description

dear kak ajid,

saat mengajukan atau create data di ess atk mobile dan sudah menginput semua field yang ada di detail barangnya, ketika kita cek
di web pengajuan tersebut field detail barangnya banyak yang tidak masuk ke webnya.

seperti kolom jumlah, spesifikasi detail, size, bahan, print, finishing,notes
itu tidak masuk ke dalam webnya

= My Master Financial Human Logistic & Business Menu System

Searc C -
Workplace Data Accounting Resource Service D Search L " R
Subject: Change Date:
ATK h 20240726095834
I My Workplace
Body
B Master Data
Main Form
I Financial Accounting
Jenis Permintaan: ATK/Barang
Cetak Custom: No
I Organization Management Dummy: o

s Recruitment Management

Employee Moverent
Detail Barang

Import Employee Data © Add | || Delete

Export Employee Data Jenis ATK/ Barang Jumiah Unit Spesifikasi Detail Size Bahan Print Finishing Notes
Delete Employee Data 1 Binder clip no 200 Dus
Mass File Import. 2 Baterai AAA Pcs
Employee Report

Comment

= Time Management

W Travel Management Comment:

I Benefit Administration

CommentPrivate:

NO

terima kasih

Port: http://remote.minovais.com:61115/

Server: remote.minovais.com,1452
DB: MinovaES_Pertalife_Prod

History

#1 - 08/08/2024 11:39 AM - Regina Tasya

- Assignee changed from M Azid Wahyudi to shofwan shiddiq

dear kak shofwan,

saat dari mobile jika menginput 2 item terdapat kendala error

procdata_ PTRPURCHITEM-error on Create:Violation of PRIMARY KEY constraint 'PK_PTRPURCHITEM'. Cannot insert duplicate key in object
'dbo.PTRPURCHITEM'. The duplicate key value is (00000060, ).

The statement has been terminated. - MinovalS.MinovaES.Business.WorkFlow

reg id 201583

terimakaish
http://remote.minovais.com:61115/

#2 - 08/08/2024 05:48 PM - shofwan shiddiq

- File clipboard-202408081748-mbzxt.png added
- File clipboard-202408081748-09p78.png added
- Status changed from Assigned to QA Test

- Assignee changed from shofwan shiddiq to Regina Tasya

Sudah di fixed yah dari APK Mobile sudah mengirim data dengan RUNBIZDATA di DETAILDocltemID terisi dengan Value, silahkan testing Approve
nya

MINOVAIS-SERVE...USERGENERALDATA SQLQuery3.sgl - rem...life_Prod (sa (98))* R > EEIINTEIAREN S AU AW g le =l ol

—-lselect * from PCMWFRUNBIZDATA where RegID='281584"' and FieldID="DETAILDocItemID’
select * from PHRPABEO1 where FullMame=""

select * from PCMWFCUSTFLOWTYPE

95 % A
fH Results EL) Messages
ReaqlD Sequence BizProcesslD TableReference FieldlD DataSequence Value
25 201584 1 ESSATK CDOWFATKDETAIL DETAILCustSORef 1
26 201584 1 ESSATK CDOWFATKDETAIL DETAILCustSORef 2
27 201584 1 ESSATK CDOWFATKDETAIL DETAILDetailSpecification 1 Detil
28 201584 1 ESSATK CDOWFATKDETAIL DETAILDetailSpecification 2 Spek 3
29 201584 1 ESSATK CDWFATKDETAIL  DETAILDiscount 1
30 201584 1 ESSATK CDWFATKDETAIL  DETAILDiscount 2
<y 201584 1 ESSATK CDWFATKDETAIL DETAILDiscountPerce
32 201584 1 ESSATK CDWFATKDETAI iscountPercentage 2
33 201584 1 ESSATK CDOWFATKDETAIL DETAILDocltemID 1
34 201584 1 ESSATK CDWFATKDETAI DETAILDocltemID 2
35 201584 1 ESSATK CDWFATKDETAIL gchNo 1
36 201584 1 ESSATK CDOWFATKDETAIL DETAILDecNe 2
37 201584 1 ESSATK CDWFATKDETAIL DETAILGoodSericeMame 1 Buku tulis besar ...
38 201584 1 ESSATK CDWFATKDETAIL DETAILGoodSericeMame 2
39 201584 1 ESSATK CDWFATKDETAIL DETAILGoodServiceQuantity 1 22
40 201584 1 ESSATK COWFATKDETAIL DETAILGeodServiceQuantity 2 g
A4 ANAR0A 1 CoCATLY COIAMCATEOETAL NETAI Raand S andoaTume 1 A

Ini reg id yang dicoba submit melalui APK Emulator, silahkan testing dengan applikasi android di versi terbaru 1.35
#3 - 08/15/2024 10:14 AM - Regina Tasya
- Status changed from QA Test to Closed

data sudah masuk ke runbiz, namun masih ada problem di Docno jika request dari mobile dan web.

—lselect °
select *

select *

95 % -
B Results Eﬁ Messages

ReaqlD

201584
201584
201584
201584
201584
201584
201584
201584
201584
201584
201584
201584
201584
201584
201584
201584

INARSA

Sequence

SV Y U U U U U U U T Uy

lanjutan redmine #2928

Files

ESSATK
ESSATK
ESSATK
ESSATK
ESSATK
ESSATK
ESSATK
ESSATK
ESSATK
ESSATK
ESSATK
ESSATK
ESSATK
ESSATK
ESSATK
ESSATK

CoOATL

from PCMWFCUSTFLOWTYPE

BizProcesslD  TableReference

CDWFATKDETAIL
CDWFATKDETAIL
CDWFATKDETAIL
CDWFATKDETAIL
CDWFATKDETAIL
CDWFATKDETAIL
CDWFATKDETAIL
CDWFATKDETAL
CDWFATKDETAIL
CDWFATKDETAI
CDWFATKDETAIL
CDWFATKDETAIL
CDWFATKDETAIL
CDWFATKDETAIL
CDWFATKDETAIL
CDWFATKDETAIL

COIAMCATLY TETALL

from PHRPABGA1 where FullMame='"

FieldID
DETAILCustSORef
DETAILCustSORef
DETAILDetailSpecification
DETAILDetailSpecification
DETAILDiscount
DETAILDiscount
DETAILDiscountPerce

[ S I L R o B

DataSequence

iscountPercentage 2
DETAILDecltem|D 1
DETAILDecltem|D 2

gcMo 1
DETAILDacNe 2
DETAILGoodServiceName 1
DETAILGoodServiceName 2
DETAILGoodServiceQuantity 1
DETAILGoodServiceQuantity 2
NETAI Raand S andoaTume 1

and FieldID="DETAILDocItemID’

Value

Detil
Spek 3

Buku tulis besar ...

22

MINOVAIS-SERVE...USERGENERALDATA 5QLQuery3.sgl - rem...life_Prod (sa (98))* + > EEHNTOANISE S AV = AW o i ls W=l ol

trom PCMWFRUNMBIZDATA where ReglID="281584°

clipboard-202407261536-v68t2.png
clipboard-202408081748-mbzxt.png
clipboard-202408081748-09p78.png

07/03/2025

158 KB 07/26/2024
74.9 KB 08/08/2024
74.9 KB 08/08/2024

Regina Tasya
shofwan shiddiq
shofwan shiddiq
